Bug 665 - when removing subdomain, nsd does not reparse parent zone
when removing subdomain, nsd does not reparse parent zone
Status: RESOLVED FIXED
Product: NSD
Classification: Unclassified
Component: Zonec Code
4.1.x
x86_64 Linux
: P5 major
Assigned To: NSD team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-18 18:51 CEST by Bjørnar Ness
Modified: 2015-04-20 12:50 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bjørnar Ness 2015-04-18 18:51:06 CEST
When a zone, say example.com has the following zonefile:

subdomain.example.com. 10800   IN      A       10.0.0.1
subdomain.example.com. 10800   IN      NS      ns.some.net

and you have a subdomain.example.com zone with the following:
subdomain.example.com. 10800   IN      A       10.0.0.2

so two zones in nsd

nsd will correctly answer 10.0.0.2, but when I remove subdomain ns
from example.com and nsd-control delzone subdomain.example.com, a query
for subdomain.example.com does _not_ give the expected 10.0.0.1, but
nxdomain. A reload does not help.
Comment 1 Bjørnar Ness 2015-04-19 11:55:37 CEST
Forgot to mention that a stop and start will ofcorse resolve this.
Comment 2 Wouter Wijngaards 2015-04-20 12:50:25 CEST
Hi Bjørnar,

Thank you for the report.  I have reproduced the issue and fixed the bug.  Committed to the code repository in the trunk/ directory.

The code did not mark the old zone apex as a non-zone-apex, and that is why query answer lookup stopped there, returning an error, instead of moving further to examine the example.com zone for an answer.

Best regards,
   Wouter